Index: bsps/powerpc/shared/shared-sources.am
===================================================================
--- bsps/powerpc/shared/shared-sources.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
+++ bsps/powerpc/shared/shared-sources.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -0,0 +1,4 @@
+libbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/cpu_asm.S
+libbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/cpu.c
+libbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/cpuIdent.c
+libbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/ppc-print-stack.c
Index: ps/powerpc/shared/shared.am
===================================================================
--- bsps/powerpc/shared/shared.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ 	(revision )
@@ -1,4 +1,0 @@
-libbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/cpu_asm.S
-libbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/cpu.c
-libbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/cpuIdent.c
-libbsp_a_SOURCES += ../../../../../../bsps/powerpc/shared/ppc-print-stack.c
Index: c/src/lib/libbsp/powerpc/beatnik/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/beatnik/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/beatnik/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -175,5 +175,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/beatnik/headers.am
Index: c/src/lib/libbsp/powerpc/gen5200/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/gen5200/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -116,5 +116,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/gen5200/headers.am
Index: c/src/lib/libbsp/powerpc/gen83xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen83xx/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/gen83xx/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -88,5 +88,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/gen83xx/headers.am
Index: c/src/lib/libbsp/powerpc/haleakala/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/haleakala/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/haleakala/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -48,5 +48,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/haleakala/headers.am
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -127,5 +127,5 @@
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(top_srcdir)/../../../../automake/subdirs.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/motorola_powerpc/headers.am
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -116,5 +116,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/mpc55xxevb/headers.am
Index: c/src/lib/libbsp/powerpc/mpc8260ads/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc8260ads/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/mpc8260ads/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -63,5 +63,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/mpc8260ads/headers.am
Index: c/src/lib/libbsp/powerpc/mvme3100/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mvme3100/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/mvme3100/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -107,5 +107,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/mvme3100/headers.am
Index: c/src/lib/libbsp/powerpc/mvme5500/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/mvme5500/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -94,5 +94,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/mvme5500/headers.am
Index: c/src/lib/libbsp/powerpc/psim/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/psim/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/psim/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -68,5 +68,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/psim/headers.am
Index: c/src/lib/libbsp/powerpc/qemuppc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/qemuppc/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/qemuppc/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -57,5 +57,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/qemuppc/headers.am
Index: c/src/lib/libbsp/powerpc/qoriq/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/qoriq/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/qoriq/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -107,5 +107,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/qoriq/headers.am
Index: c/src/lib/libbsp/powerpc/ss555/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/ss555/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/ss555/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -47,4 +47,4 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/ss555/headers.am
Index: c/src/lib/libbsp/powerpc/t32mppc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/t32mppc/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/t32mppc/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -69,5 +69,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/t32mppc/headers.am
Index: c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -68,5 +68,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/tqm8xx/headers.am
Index: c/src/lib/libbsp/powerpc/virtex/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/virtex/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -65,5 +65,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/virtex/headers.am
Index: c/src/lib/libbsp/powerpc/virtex4/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex4/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/virtex4/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -51,5 +51,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/virtex4/headers.am
Index: c/src/lib/libbsp/powerpc/virtex5/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex5/Makefile.am	(revision 6799a78983dd9d9b09ed069feacd9a4e74987667)
+++ c/src/lib/libbsp/powerpc/virtex5/Makefile.am	(revision d03ec77d098610f1067b3e408dcf5a02f955ba6e)
@@ -53,5 +53,5 @@
 include $(top_srcdir)/../../../../automake/local.am
 include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
-include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
+include $(srcdir)/../../../../../../bsps/powerpc/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/virtex5/headers.am
